# \Thelia\Core\Template\SmartyAbstractSmartyPlugin

The class all Smarty Thelia plugin shoud extend

Class AbstractSmartyPlugin

## Summary

Methods
Properties
Constants
getNormalizedParam()
getParam()
getPluginDescriptors()
No public properties found
No constants found
_explode()
No protected properties found
N/A
No private methods found
No private properties found
N/A
abstract

File
  Core/Template/Smarty/AbstractSmartyPlugin.php
Package
  \Thelia\Core\Template\Smarty
Class hierarchy
  \Thelia\Core\Template\Smarty\AbstractSmartyPlugin

## Tags

None found

## Methods

### getNormalizedParam()

    getNormalizedParam(array $params, mixed $name, mixed $default) : mixed

Get a function or block parameter value, and normalize it, trimming balnks and making it lowercase

#### Parameters

array | $params | the parameters array
mixed | $name | as single parameter name, or an array of names. In this case, the first defined parameter is returned. Use this for aliases (context, ctx, c)
mixed | $default | the defaut value if parameter is missing (default to null)

#### Returns

mixed —

the parameter value, or the default value if it is not found.

#

## Tags

None found

### getParam()

    getParam(array $params, mixed $name, mixed $default) : mixed

Get a function or block parameter value

#### Parameters

array | $params | the parameters array
mixed | $name | as single parameter name, or an array of names. In this case, the first defined parameter is returned. Use this for aliases (context, ctx, c)
mixed | $default | the defaut value if parameter is missing (default to null)

#### Returns

mixed —

the parameter value, or the default value if it is not found.

#

## Tags

None found

### getPluginDescriptors()

    getPluginDescriptors() : \Thelia\Core\Template\Smarty\an

#### Returns

\Thelia\Core\Template\Smarty\an —

array of SmartyPluginDescriptor

#

abstract

## Tags

None found

### _explode()

    _explode(\Thelia\Core\Template\Smarty\unknown $commaSeparatedValues) : \Thelia\Core\Template\Smarty\multitype:

Explode a comma separated list in a array, trimming all array elements

#### Parameters

\Thelia\Core\Template\Smarty\unknown | $commaSeparatedValues |

#### Returns

\Thelia\Core\Template\Smarty\multitype:

#

## Tags

None found

### AbstractSmartyPlugin.php